unit utils;

interface

uses sysutils;

type
  Point2D = object
    x: extended;
    y: extended;

    procedure update(px: extended; py: extended);
  end;

function get_filename(base_name: string; zoom: extended; center_x: extended; center_y: extended): string;

implementation

procedure Point2D.update(px: extended; py: extended);
begin
  x := px;
  y := py;
end;

function get_filename(base_name: string; zoom: extended; center_x: extended; center_y: extended): string;
var
  z, cx, cy: string;
begin
  z := FloatToStr(zoom);
  cx := FloatToStr(center_x);
  cy := FloatToStr(center_y);

  get_filename := base_name + '_(z=' + z + ';cx=' + cx + ';cy=' + cy + ').bmp'
end;

begin
end.